<?php

namespace App\Filament\Loggers;

use App\Models\Footer;
use App\Filament\Resources\FooterResource;
use Illuminate\Contracts\Support\Htmlable;
use Noxo\FilamentActivityLog\Loggers\Logger;
use Noxo\FilamentActivityLog\ResourceLogger\Field;
use Noxo\FilamentActivityLog\ResourceLogger\RelationManager;
use Noxo\FilamentActivityLog\ResourceLogger\ResourceLogger;

class FooterLogger extends Logger
{
    public static ?string $model = Footer::class;

    public static function getLabel(): string | Htmlable | null
    {
        return FooterResource::getModelLabel();
    }

    public static function resource(ResourceLogger $logger): ResourceLogger
    {
        return $logger
            ->fields([
                Field::make('footer_tiittle')->label(__('Footer Tiittle')),
                Field::make('footer_address')->label(__('Footer Address')),
                Field::make('footer_mail_id')->label(__('Footer Mail Id')),
                Field::make('footer_phone_num')->label(__('Footer Phone Num')),
                Field::make('footer_tele_num')->label(__('Footer Tele Num')),
                Field::make('pages')->label(__('Pages')),
                Field::make('social_status')->label(__('Social Status')),
                Field::make('social_link_1')->label(__('Social Link 1')),
                Field::make('social_heading_1')->label(__('Social Heading 1')),
                Field::make('social_link_2')->label(__('Social Link 2')),
                Field::make('social_heading_2')->label(__('Social Heading 2')),
                Field::make('social_link_3')->label(__('Social Link 3')),
                Field::make('social_heading_3')->label(__('Social Heading 3')),
                Field::make('social_link_4')->label(__('Social Link 4')),
                Field::make('social_heading_4')->label(__('Social Heading 4')),
                Field::make('term_of_service')->label(__('Term Of Service')),
                Field::make('term_of_service_link')->label(__('Term Of Service Link')),
                Field::make('term_of_service_status')->label(__('Term Of Service Status')),
                Field::make('privacy_policy')->label(__('Privacy Policy')),
                Field::make('privacy_policy_link')->label(__('Privacy Policy Link')),
                Field::make('privacy_policy_status')->label(__('Privacy Policy Status')),
                Field::make('copyright')->label(__('Copyright')),
                Field::make('copyright_status')->label(__('Copyright Status')),
            ])
            ->relationManagers([
                //
            ]);
    }
}
